Subject: RE: libstdc++ in -mno-cygwin target
From: "Nicolay Giraldo" <[email-masked]>
To: "Christof Petig" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Tue, 29 May 2001 16:48:03 -0500

>Nicolay Giraldo wrote:
>
>> There is any way to get iostream classes when compiling with
>> the -mno-cygwin option ?
>
>Look for Mumit Khan's document on mno-cygwin on the MinGW homepage (
>http://mingw.sourceforge.net/ ).
>You might as well consider reading my recent post to the mingw mailing
>list.
>
>Christof
>

Well I did some testing...
downloaded the GNU libstdc++ sources and tried to compile it...
got stuck in a file c++io.h or similar name.

Then I found stlport, and with a couple of hacks got it working.
The bad news...

hello world using C:  3kb
hello world using C++ and cygwin dll: 70kb (I tough it was too much)
hello world using C++ stlport: ~600kb!
all stripped

I still want a good C++ library, may be isn't that hard if we try.

Nicolay Giraldo

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple